LArSoft - Necessary Maintenance #15446

BezierTrack should be removed from LArSoft

02/02/2017 02:33 PM - Gianluca Petrillo

Status: Closed Start date: 02/02/2017
Priority: Normal Due date:

Assignee: Gianluca Petrillo % Done: 100%
Category: Data products Estimated time: 0.00 hour
Target version: 2017-4-quarter Spent time: 12.00 hours
Experiment: -

Description

The class BezierTrack has been deprecated since long time, and it was never well supported.
The LArSoft coordination meeting on January 31, 2017 has agreed to get rid of it.

This will include the data product itself and the modules which produce it, in addition to chopping away parts of other analysers that

optionally support it.

If a class similar is ever needed, we'll use a new design.

Related issues:

Related to LArSoft - Task #14281: Provide an interface for access of reconstr...

Accepted 10/26/2016

Associated revisions

Revision 7b30de69 - 12/27/2017 04:00 PM - Gianluca Petrillo
Updates for issue #15446 (Bezier tracking)
https://indico.fnal.gov/conferenceDisplay.py?confId=13730

Revision 7b30de69 - 12/27/2017 04:00 PM - Gianluca Petrillo
Updates for issue #15446 (Bezier tracking)

Revision 83376b67 - 12/27/2017 04:00 PM - Gianluca Petrillo
Updates for issue #15446 (Bezier tracking)

Revision 83376b67 - 12/27/2017 04:00 PM - Gianluca Petrillo
Revision 5fb3704f - 12/27/2017 04:00 PM - Gianluca Petrillo
Updates for issue #15446 (Bezier tracking)

Revision 2169e8e0 - 12/27/2017 04:00 PM - Gianluca Petrillo
History

#1 - 02/06/2017 10:32 AM - Lynn Garren

- Status changed from New to Accepted
This will be coupled to recob::Track stage 2.

#2 - 02/06/2017 10:32 AM - Lynn Garren

- Related to Task #14281: Provide an interface for access of reconstructed track information added

#3 - 05/11/2017 02:56 PM - Katherine Lato

- Target version set to 2017-4-quarter

#4 - 12/13/2017 11:09 AM - Gianluca Petrillo

- Assignee set to Gianluca Petrillo

#5 - 12/20/2017 09:39 AM - Gianluca Petrillo
- Status changed from Accepted to Feedback
- % Done changed from 0 to 10

The total eradication of Bézier tracking has proven to be trouble, in the tradition of spaghetti code.
Its removal dragged into oblivion:

e event display feature of interactive creation of seeds (MakeSeeds)

e probably some other minor feature of the event display

¢ optical detector related modules: BeamFlashCompatibilityCheck, FlashPurityCheckAna, TrackTimeAssoc and TrackTimeAssocAna
¢ tracking module FeatureTracker

e some calorimetry features

Numerous experiment job configuration files had to be cleaned, presumably outdated ones. In addition, DUNE 35t unit tests became broken
because of the use of some of the modules that have been chopped away. | haven't even tried to execute the integration tests.

It should be pointed out that the code that has been removed has been, to my knowledge, unmaintained for long time.
This intervention has been carried out using a sledgehammer. Maybe a different, bistoury-based, approach is possible.
#6 - 12/27/2017 04:19 PM - Gianluca Petrillo

- Status changed from Feedback to Resolved

- % Done changed from 10 to 100

| have taken a different, softer approach, and introduced some design. The proposed solution is in branch feature/gp_Issue15446_light of the LArSoft
repositories lardataobj, larreco and larana, and the experiment code uboonecode, dunetpc and icaruscode.
The deprecated object trk::BezierTrack (larreco:source:larreco/Deprecated/BezierTrack.h) does not inherit from recob::Track any more, but it contains
a recob::Trajectory data member. It can be initialised from a recob::Track (or recob::Trajectory plus a numeric ID), but it can't be turned into a
recob::Track (it can be turned into a recob::Trajectory in the sense that the internal trajectory can be retrieved; the ID information is not carried on).

e the few times user code called recob::Track inherited interface have been corrected to call the trajectory equivalent
¢ the BezierTrackerModule producer that used to produce recob::Track produces recob::Trajectory instead

Most important, recob::Track, recob::TrackTrajectory and recob::Trajectory are now completely independent (and not friend) of trk::BezierTrack.

#7 - 02/19/2018 02:38 PM - Gianluca Petrillo

- Status changed from Resolved to Closed
